﻿# Nested virtualization requires specific settings on the Hyper-V host

# Name of the Hyper-V host
$vm = 'sv1'

# Stop VM:
Stop-VM -VMName $vm 

# Get information about relevant features for newsted virt.
(Get-VMProcessor -VMName $vm).ExposeVirtualizationExtensions
(Get-VMNetworkAdapter -VMName $vm).MacAddressSpoofing
Get-VMMemory -VMName $vm | fl Startup, Dyn*

# Set required
Set-VMProcessor -VMName $vm -ExposeVirtualizationExtensions $true
Set-VMNetworkAdapter -VMName $vm -MacAddressSpoofing On
Set-VMMemory -VMName $vm -DynamicMemoryEnabled:$false -StartupBytes 4GB

# Start
Start-VM -VMName $vm 