﻿# Find the nano server
Get-DhcpServerv4Lease -ScopeId 192.168.0.0 -ComputerName van-dc1 | Where-Object { $_.HostName -like 'tuva*' }

# Variables
$computername = '192.168.0.42'
$password = ConvertTo-SecureString 'Pa$$w0rd' -AsPlainText -Force
$cred = New-Object System.Management.Automation.PSCredential('administrator',$password)

# Allow workgroup computing
Set-Item WSMan:\localhost\Client\TrustedHosts -Value * -Force

# Test connection
Test-WSMAN -ComputerName $computername 

# Connect via interactive session
Enter-PSSession -ComputerName $computername -Credential $cred

# Send commands
Invoke-Command -ComputerName $computername -Credential $cred -ScriptBlock {
  Get-NetAdapter | Select-Object -Property MacAddress, LinkSpeed, AdminStatus, DriverFileName, InterfaceName
  Get-NetIPConfiguration |Select-Object -Property InterfaceAlias, IPv4Address, IPv4DefaultGateway, DNSServer
}

# Copy via PSRemoting and session configuration
$session = New-PSSession -ComputerName $computername -Credential $cred
Copy-Item -Path C:\demo\demofile.txt -Destination 'c:\' -ToSession $session
Invoke-Command -Session $session -ScriptBlock { 
  Get-ChildItem -Path 'c:\'  
  Get-Content -Path 'c:\demofile.txt'    
}

Invoke-Command -Session $session -ScriptBlock { Remove-Item -Path c:\demofile.txt }
$session | Remove-PSSession