﻿# Learn more: http://aka.ms/nanoserver
# Nano creation module (from WS 2016 ISO) 

Import-Module C:\NanoServer_TP4\NanoServerImageGenerator.psm1

# Variables
$password = ConvertTo-SecureString -AsPlainText -Force -String 'Pa$$w0rd'
$iso_X = 'C:\depot\iso_x\en_windows_server_2016_technical_preview_4_x64_dvd_7258292\'

# Example: 1 Nano creation: GEN 1 VM
New-NanoServerImage `
 -MediaPath $iso_x `
 -BasePath C:\NanoServer_TP4\Base `
 -TargetPath C:\NanoServer_TP4\myNano1.vhd `
 -GuestDrivers -EnableRemoteManagementPort `
 -AdministratorPassword $password `
 -Language en-US `
 -ComputerName ('tuva' + (get-random)) `
 -Packages 'Microsoft-NanoServer-DNS-Package'


# Example 2: Nano creation: GEN 2 VM (with random names)
$random = Get-Random
New-NanoServerImage `
-MediaPath $iso_x `
-BasePath C:\NanoServer_TP4\Base `
-TargetPath "C:\NanoServer_TP4\myNano$random.vhdx" `
-GuestDrivers -EnableRemoteManagementPort `
-AdministratorPassword $password `
-Language en-US `
-ComputerName "tuva$random" `
-Packages 'Microsoft-NanoServer-DNS-Package'

# Show nano server name
$newNano = "tuva$random"
$newNano  
  
# Example 3: Nano creation: GEN 2 VM + Domainjoin (fixed name)
New-NanoServerImage `
-MediaPath $iso_x `
-BasePath C:\NanoServer_TP4\Base `
-TargetPath C:\NanoServer_TP4\myNano2.vhdx `
-GuestDrivers -EnableRemoteManagementPort `
-AdministratorPassword $password `
-Language en-US `
-Packages 'Microsoft-NanoServer-DNS-Package' `
-DomainBlobPath 'C:\NanoServer_TP4\myNano2.djoin' `
-ReuseDomainNode