﻿# Create Hyper-V VM Gen2

# Variables
$vmhost = $env:COMPUTERNAME
$vm = Read-Host 'VM-Name'
$startupram = 1GB # Minimum req. 512 MB
$vhdzsize = 32GB
$cpucount = 4           
$switch = 'HV_Private1' 
$niccount = 1

# Copy template
$templatevhdx = C:\NanoServer_TP4\$newnano
Copy-Item -Path $templatevhdx -Destination "C:\Hyper-V\Virtual Hard Disks\$vm.vhdx"

New-VM `
-ComputerName $vmhost `
-Generation 2 `
–Name $vm `
-MemoryStartupBytes $startupram `
-VHDPath "$vm.vhdx" `
-SwitchName $switch

Set-VM `
-ComputerName $vmhost `
–name $vm `
-ProcessorCount $cpucount 

Start-VM -ComputerName $vmhost -VMName $vm